Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xpath
Class XPATHProcessDialect

    java.lang.Object
      org.jbpm.bpmn2.xpath.XPATHProcessDialect

All Implemented Interfaces:
  ProcessDialect

    public class XPATHProcessDialect

extends Object
implements ProcessDialect

Field Summary
`static String` | `ID`

Constructor Summary
`XPATHProcessDialect()`

Method Summary
`void` | `addProcess(ProcessBuildContext context)`
`ActionBuilder` | `getActionBuilder()`
`AssignmentBuilder` | `getAssignmentBuilder()`
`ProcessClassBuilder` | `getProcessClassBuilder()`
`ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

See Also:
  Constant Field Values

Constructor Detail

### XPATHProcessDialect

    public XPATHProcessDialect()

Method Detail

### addProcess

    public void addProcess(ProcessBuildContext context)

  Specified by:
    `addProcess` in interface `ProcessDialect`

### getActionBuilder

    public ActionBuilder getActionBuilder()

  Specified by:
    `getActionBuilder` in interface `ProcessDialect`

### getProcessClassBuilder

    public ProcessClassBuilder getProcessClassBuilder()

  Specified by:
    `getProcessClassBuilder` in interface `ProcessDialect`

### getReturnValueEvaluatorBuilder

    public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

  Specified by:
    `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`

### getAssignmentBuilder

    public AssignmentBuilder getAssignmentBuilder()

  Specified by:
    `getAssignmentBuilder` in interface `ProcessDialect`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.